Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.calendar
Class EditAppointmentModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.calendar.CalendarModel
              portlets.compoze.groupware.model.calendar.AddAppointmentModel
                  portlets.compoze.groupware.model.calendar.EditAppointmentModel

All Implemented Interfaces:
  java.io.Serializable

public class EditAppointmentModel
extends AddAppointmentModel
implements java.io.Serializable

This class represents the data model for the edit appointment page (`edit_appointment.jsp`).

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.calendar.AddAppointmentModel
`ALL_DAY_OPTION_ALL_DAY, ALL_DAY_OPTION_TIME, REPEAT_OPTION_DO_NOT_REPEAT, REPEAT_OPTION_REPEAT_ANNUAL, REPEAT_OPTION_REPEAT_INTERVAL, REPEAT_OPTION_REPEAT_MONTHLY, REPEAT_OPTION_REPEAT_MONTHLY_BY_DAY, REPEAT_OPTION_REPEAT_WEEKLY, UNTIL_OPTION_ALWAYS, UNTIL_OPTION_FOR, UNTIL_OPTION_OCCURRENCES, UNTIL_OPTION_UNTIL_DATE`

Constructor Summary
`EditAppointmentModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, CalendarPreferences calendarPrefs, Accounts accounts)` Constructor.

Method Summary
`Appointment` | `getAppointment()` Gets the appointment to edit.
`int` | `getDay(java.util.Date givenDate)` Gets the day.
`boolean` | `getEmailCommaSeparator()` Gets the recipients email comma separator flag.
`java.lang.String` | `getFileNames()` Gets the file names.
`int` | `getHourOfDay(java.util.Date givenDate)` Gets the hour of day.
`java.util.Date` | `getInstanceDate()` Gets the instance date.
`int` | `getMinute(java.util.Date givenDate)` Gets the minute.
`int` | `getMonth(java.util.Date givenDate)` Gets the month.
`portlets.compoze.groupware.controls.provider.Provider` | `getProvider()` Gets the provider.
`java.util.Date` | `getUntilDate(java.util.Date givenDate)` Gets the until date.
`int` | `getYear(java.util.Date givenDate)` Gets the year.
`boolean` | `isOpenSeries()` Checks if the appointment is the an open series.
`void` | `setAppointment(Appointment apt)` Sets the appointment to edit.
`void` | `setEmailCommaSeparator(boolean bEmailCommaSeparator)` Sets the recipients email comma separator flag.
`void` | `setFileNames(java.lang.String sFileNames)` Sets the file names.
`void` | `setInstanceDate(java.util.Date instanceDate)` Sets the instance date.
`void` | `setOpenSeries(boolean bFlag)` Sets if the appointment is the an open series.
`void` | `setProvider(portlets.compoze.groupware.controls.provider.Provider provider)` Sets the provider.

Methods inherited from class portlets.compoze.groupware.model.calendar.AddAppointmentModel
`getAppointmentType, getStartDate, getStartDateDayString, getStartDateMonth, getStartDateYearString, getUntilDateDayString, getUntilDateMonth, getUntilDateYearString, setAppointmentType, setStartDate`

Methods inherited from class portlets.compoze.groupware.model.calendar.CalendarModel
`getCalendarPreferences`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditAppointmentModel

    public EditAppointmentModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                FeatureGroup featureGroup,
                                GroupwarePreferences groupwarePrefs,
                                CalendarPreferences calendarPrefs,
                                Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `calendarPrefs` - the calendar preferences (may not be `null`)

Method Detail

### setOpenSeries

    public void setOpenSeries(boolean bFlag)

  Sets if the appointment is the an open series.

  Parameters:
    `bFlag` - `true` if the appointment is an open series; `false` otherwise

### isOpenSeries

    public boolean isOpenSeries()

  Checks if the appointment is the an open series.

  Returns:
    `true` if the appointment is an open series; `false` otherwise

### getAppointment

    public Appointment getAppointment()

  Gets the appointment to edit.

  Returns:
    the appointment

### setAppointment

    public void setAppointment(Appointment apt)

  Sets the appointment to edit.

  Parameters:
    `apt` - the appointment

### getInstanceDate

    public java.util.Date getInstanceDate()

  Gets the instance date.

  Returns:
    the instance date

### setInstanceDate

    public void setInstanceDate(java.util.Date instanceDate)

  Sets the instance date.

  Parameters:
    `instanceDate` - the instance date

### getHourOfDay

    public int getHourOfDay(java.util.Date givenDate)

  Gets the hour of day.

  Parameters:
    `givenDate` - the given date
  Returns:
    the hour of day (24-hour clock)

### getMinute

    public int getMinute(java.util.Date givenDate)

  Gets the minute.

  Parameters:
    `givenDate` - the given date
  Returns:
    the minute

### getMonth

    public int getMonth(java.util.Date givenDate)

  Gets the month.

  Parameters:
    `givenDate` - the given date
  Returns:
    the month

### getDay

    public int getDay(java.util.Date givenDate)

  Gets the day.

  Parameters:
    `givenDate` - the given date
  Returns:
    the day

### getYear

    public int getYear(java.util.Date givenDate)

  Gets the year.

  Parameters:
    `givenDate` - the given date
  Returns:
    the year

### getUntilDate

    public java.util.Date getUntilDate(java.util.Date givenDate)

  Gets the until date.

  Overrides:
    `getUntilDate` in class `AddAppointmentModel`
  Returns:
    the until date

### getFileNames

    public java.lang.String getFileNames()

  Gets the file names.

  Returns:
    the file names or `null` for none

### setFileNames

    public void setFileNames(java.lang.String sFileNames)

  Sets the file names.

  Parameters:
    `sFileNames` - the file names or `null` for none

### getEmailCommaSeparator

    public boolean getEmailCommaSeparator()

  Gets the recipients email comma separator flag.

  Overrides:
    `getEmailCommaSeparator` in class `AddAppointmentModel`
  Returns:
    `true` if using comma as the email separator for recipients or `false` otherwise

### setEmailCommaSeparator

    public void setEmailCommaSeparator(boolean bEmailCommaSeparator)

  Sets the recipients email comma separator flag.

  Overrides:
    `setEmailCommaSeparator` in class `AddAppointmentModel`
  Parameters:
    `bEmailCommaSeparator` - the email comma separator flag

### setProvider

    public void setProvider(portlets.compoze.groupware.controls.provider.Provider provider)

  Sets the provider.

  Parameters:
    `provider` - the provider (may not be `null`)

### getProvider

    public portlets.compoze.groupware.controls.provider.Provider getProvider()

  Gets the provider.

  Returns:
    the provider

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.